<?php
/**
 * @category   FiloBlu
 * @package    FiloBlu_InstagramFeed
 *
 * @copyright  Copyright (c) 2017 FiloBlu (http://www.filoblu.com/)
 */

namespace FiloBlu\InstagramFeed\Block\Widget;

class Instagram extends \Magento\Framework\View\Element\Template implements \Magento\Widget\Block\BlockInterface
{

    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        array $data = []
    ) {
        parent::__construct($context, $data);
    }

    public function getConfig($key, $default = '')
    {
        if ($this->hasData($key)) {
            return $this->getData($key);
        }
        return $default;
    }
}
