<?php
/**
 * @category   FiloBlu
 * @package    FiloBlu_InstagramFeed
 *
 * @copyright  Copyright (c) 2017 FiloBlu (http://www.filoblu.com/)
 */

namespace FiloBlu\InstagramFeed\Model\Config\Source;

class Get implements \Magento\Framework\Option\ArrayInterface
{
	protected  $_blockModel;

    /**
     * @param \Magento\Cms\Model\Block $blockModel
     */
    public function __construct(
    	\Magento\Cms\Model\Block $blockModel
    	) {
    	$this->_groupModel = $blockModel;
    }

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
    	$options = [
            ['label' =>__('Popular (Images from the popular page)'), 'value' => 'popular'],
            ['label' =>__('Tagged (Images with a specific tag. Use tagName to specify the tag)'), 'value' => 'tagged'],
            ['label' =>__('Location (Images from a location. Use locationId to specify the location)'), 'value' => 'location'],
            ['label' =>__('User (Images with a user. Use userId to specify the user)'), 'value' => 'user']

        ];
        array_unshift($options, array(
                'value' => '',
                'label' => '',
                ));
        return $options;
    }
}
