define([
    'jquery',
    'domReady',
    'instafeedjs'
], function ( $, domReady, Instafeed ) {
    'use strict';

    return function( config ){
        var feed,
        feedError = function(){
            $( '#' + config.widget ).remove();
        };

        domReady( function() {

            //get instagram feeds
            feed = new Instafeed({
                accessToken : config.params.accessToken,
                target      : config.params.target,
                template    : config.params.template,
                get         : config.params.get,
                tagName     : config.params.tagName,
                locationId  : config.params.locationId,
                userId      : config.params.userId,
                sortBy      : config.params.sortBy,
                links       : config.params.links,
                limit       : config.params.limit,
                resolution  : config.params.resolution,
                after       : function(){
                                //init your script
                            },
                error       : function(){ feedError(); }
            });
            feed.run();
        });
    };
});
